/*
 * spi_init.h
 *
 *  Created on: 5 сент. 2023 г.
 *      Author: seklyuts
 */

//#define ExtEEPROM_SPIB

#ifndef SRC_SPI_INIT_H_
#define SRC_SPI_INIT_H_

void SpiAGpioInit(void);
void SpiAInit(void);
void spi_transmitAData(uint16_t a);

void SpiBGpioInit(void);
void SpiBInit(void);
void transmitBData(uint16_t a);

void Gpio_SPI_CS_BL25CM1A(uint16_t out_bit);
void spi_TurnOnCS1_GD25Q16E(void);
void spi_TurnOffCS1_GD25Q16E(void);


#ifdef ExtEEPROM_SPIB

#define SpiGpioInit        SpiBGpioInit
#define SpiInit            SpiBInit
#define transmitData       transmitBData
#define SpiRegs            SpibRegs

#else

#define SpiGpioInit        SpiAGpioInit
#define SpiInit            SpiAInit
#define transmitData       spi_transmitAData
#define SpiRegs            SpiaRegs

#endif




#endif /* SRC_SPI_INIT_H_ */
